=head1 NAME

Gnome2::IconEntry - wrapper for GnomeIconEntry

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gnome2::IconEntry



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable



=cut


=head1 METHODS

=head2 widget = Gnome2::IconEntry-E<gt>B<new> ($history_id, $browse_dialog_title)

=over

=item * $history_id (string) 

=item * $browse_dialog_title (string) 

=back

=head2 $ientry-E<gt>B<set_browse_dialog_title> ($browse_dialog_title)

=over

=item * $browse_dialog_title (string) 

=back

=head2 string = $ientry-E<gt>B<get_filename> 

=head2 boolean = $ientry-E<gt>B<set_filename> ($filename)

=over

=item * $filename (string) 

=back

=head2 $ientry-E<gt>B<set_history_id> ($history_id)

=over

=item * $history_id (string) 

=back

=head2 $ientry-E<gt>B<set_max_saved> ($max_saved)

=over

=item * $max_saved (integer) 

=back

Since: libgnomeui 2.4

=head2 widget or undef = $ientry-E<gt>B<pick_dialog> 

=head2 $ientry-E<gt>B<set_pixmap_subdir> ($subdir)

=over

=item * $subdir (string) 

=back



=cut


=head1 PROPERTIES

=over

=item 'browse-dialog-title' (string : default undef : readable / writable)

Title for the Browse icon dialog.

=item 'filename' (string : default undef : readable / writable)

Filename that should be displayed in the icon entry.

=item 'history-id' (string : default undef : readable / writable)

Unique identifier for the icon entry.  This will be used to save the history list.

=item 'pick-dialog' (Gtk2::Dialog : default undef : readable)

Icon picker dialog.  You can use this property to get the GtkDialog if you need to modify or query any of its properties.

=item 'pixmap-subdir' (string : default undef : readable / writable)

Directory that will be searched for icons.

=back



=cut


=head1 SIGNALS

=over

=item B<browse> (Gnome2::IconEntry)

=item B<changed> (Gnome2::IconEntry)

=back



=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::VBox>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

